Subject: bug#2853: closed (Re: bug#2853: 23.0.92; enabling uniquify is weird)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Jun 2014 07:05:03 +0000

Your bug report

#2853: 23.0.92; enabling uniquify is weird

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2853: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2853
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2853: 23.0.92; enabling uniquify is weird
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sun, 08 Jun 2014 03:04:09 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

I think this is no longer an issue now that uniquify is preloaded and
enabled by default. It is simply a feature that is always on, and you
can customize it by setting uniquify-buffer-name-style. (The traditional
<1>, <2> can be viewed as just another form of uniquification.)

Subject: 23.0.92; enabling uniquify is weird
From: Miles Bader <[email-masked]>
To: [email-masked]
Date: Thu, 02 Apr 2009 13:29:17 +0900

When one wants to turn on a user-level feature, I think it's usual that
one can do either M-x foo-mode, or M-x customize-variable RET foo-blah RET.

Uniquify, though doesn't seem to support either of these methods -- there
is no uniquify-mode, and customize-variable does not know about
`uniquify-buffer-name-style' unless the user manually loads the package.

There's a function `toggle-uniquify-buffer-names', but it seems vaguely
non-standard, and is apparently intended mostly for the menu-bar.

I'm not sure exactly what the right thing to do is, but I think at
least, we should ensure that uniquify-buffer-name-style is somehow
autoloaded so customize-variable knows about it...

-Miles

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/share/emacs/23.0.92/etc/DEBUG for instructions.

In GNU Emacs 23.0.92.2 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.0)
 of 2009-04-02 on dhlpc061
Windowing system distributor `The X.Org Foundation', version 11.0.10599902
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: @im=SCIM
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  recentf-mode: t
  rcirc-track-minor-mode: t
  minibuffer-electric-default-mode: t
  display-time-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
SPC n SPC n n SPC <backspace> n n n n n n n n n n n 
n n n n n SPC SPC SPC SPC SPC SPC n i SPC SPC SPC SPC 
SPC SPC SPC SPC SPC SPC n n n n n n n n n n n n n n 
q <escape> C-g <escape> x r c i SPC <return> C-x b 
<return> C-c C-SPC C-x 1 C-c C-SPC C-c C-SPC C-c C-SPC 
C-c C-SPC n i SPC n n SPC n SPC SPC SPC SPC SPC SPC 
n n n n n n n n n n n n n n n n n n i P l n n n SPC 
n n n n C-x d = n i SPC n n n n n n n n i SPC SPC SPC 
SPC SPC SPC SPC SPC SPC n t SPC SPC C-x d M-v <prior> 
C-x b C-g t f C-c C-y C-p C-SPC C-u C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p 
C-p C-p C-w C-n C-n C-n C-n C-SPC C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-w C-o C-n C-o I f 
SPC i t ' s SPC e m a c s , SPC t r y <escape> x u 
n i q SPC C-g C-h v u n i q SPC ? b u f SPC <return> 
C-x n C-x C-v ~ / . c u s t o m <return> C-s u n i 
q u C-a C-SPC C-n C-n <escape> w C-s C-s C-s C-s C-s 
C-s C-s C-a C-x b <return> <tab> <tab> <tab> <return> 
<tab> <tab> <S-iso-lefttab> <return> <escape> x r e 
p o SPC r SPC <return>

Recent messages:
x*DING*  [2 times]
Mark saved where search started
mouse-2, RET: find variable's definition
mouse-2, RET: describe this function
mouse-2, RET: describe this variable
mouse-2, RET: find variable's definition
mouse-2, RET: customize variable
mouse-2, RET: find variable's definition
Auto-saving...done
Making completion list...

-- 
Virtues, n. pl. Certain abstentions.